gLite > gLite 3.2 > glite-VOMS_oracle > Update to glite-VOMS_oracle 3.2.0-0.sl5  
 
 

 

 

gLite 3.2

glite-VOMS_oracle - Update to version 3.2.0-0.sl5


Date 18.08.2010
Priority Normal

Description



glite-VOMS_oracle

First VOMS Admin 2.5 release.
This release provides many new features, including:

  • support for multiple certificate per user
  • support for versioned Acceptable Usage Policies management
  • membership suspension/expiration/renewal
  • support for user requests for group membership, role assignment, membership removal
  • support for one click operations (delete, suspend, restore) on multiple users

Check the updated user guide on https://twiki.cern.ch/twiki/bin/view/EGEE/VomsAdminUserGuide.

To upgrade an existing gLite VOMS 3.1 installation, follow the instructions of the upgrade guide https://twiki.cern.ch/twiki/bin/view/EGEE/VomsUpgradeGuide.

This update fixes various bugs. For the full list of bugs, please see list below.

Fixed bugs

Number Description
 #63373 voms-admin info provider is called multiple times
 #66727 VOMS Admin attribute search pagination broken
 #66734 VOMS Admin attribute search broken

Updated rpms

Name Version Full RPM name Description
ZSI 2.0-1.py2.4 ZSI-2.0-1.py2.4.noarch.rpm zsi v. 2.0
bdii 5.0.8-1 bdii-5.0.8-1.noarch.rpm bdii
bouncycastle-glite 1.42-3.jdk5 bouncycastle-glite-1.42-3.jdk5.noarch.rpm Bouncy Castle Crypto Package for Java
fetch-crl 2.7.0-2 fetch-crl-2.7.0-2.noarch.rpm Tool for periodic retrieval of Certificate Revocation Lists
glite-VOMS_oracle 3.2.0-0.sl5 glite-VOMS_oracle-3.2.0-0.sl5.x86_64.rpm glite-VOMS_oracle
glite-info-generic 2.0.2-5 glite-info-generic-2.0.2-5.noarch.rpm glite-info-generic
glite-info-provider-service 1.4.1-1 glite-info-provider-service-1.4.1-1.noarch.rpm The GLUE service information provider
glite-info-templates 1.0.0-11 glite-info-templates-1.0.0-11.noarch.rpm glite-info-templates
glite-security-trustmanager 2.5.5-1 glite-security-trustmanager-2.5.5-1.noarch.rpm org.glite.security.trustmanager v. 2.5.5-1
glite-security-util-java 2.8.6-1.GL32 glite-security-util-java-2.8.6-1.GL32.noarch.rpm Security utilities
glite-security-voms-admin-client 2.0.14-1.sl5 glite-security-voms-admin-client-2.0.14-1.noarch.rpm org.glite.security.voms-admin-client v. 2.0.14-1 GL32
glite-security-voms-admin-server 2.5.4-1.sl5 glite-security-voms-admin-server-2.5.4-1.noarch.rpm org.glite.security.voms-admin-server v. 2.5.4-1 GL32
glite-security-voms-api-cpp 1.9.17-1.sl5 glite-security-voms-api-cpp-1.9.17-1.sl5.x86_64.rpm org.glite.security.voms-api-cpp v. 1.9.17.1 GL32
glite-security-voms-clients 1.9.17-1.sl5 glite-security-voms-clients-1.9.17-1.sl5.x86_64.rpm org.glite.security.voms-clients v. 1.9.17_1
glite-security-voms-oracle 3.1.11-2.sl5 glite-security-voms-oracle-3.1.11-2.sl5.x86_64.rpm org.glite.security.voms-oracle v. 3.1.11.2
glite-security-voms-server 1.9.17-1.sl5 glite-security-voms-server-1.9.17-1.sl5.x86_64.rpm org.glite.security.voms-server v. 1.9.17.1
glite-version 3.2.2-1 glite-version-3.2.2-1.noarch.rpm Shows version information for the installed gLite node types
glite-yaim-core 4.0.12-1 glite-yaim-core-4.0.12-1.noarch.rpm YAIM core package
glite-yaim-voms 1.0.4-1 glite-yaim-voms-1.0.4-1.noarch.rpm glite-yaim-voms module configures the VOMS server.
glue-schema 2.0.3-1 glue-schema-2.0.3-1.noarch.rpm LDAP schema files for the GLUE Schema
gpt 3.2autotools2004_NMI_9.0_x86_64_rhap_5-1 gpt-3.2autotools2004_NMI_9.0_x86_64_rhap_5-1.x86_64.rpm The Grid Packaging Toolkit (GPT)
vdt_globus_essentials VDT1.10.1x86_64_rhap_5-4 vdt_globus_essentials-VDT1.10.1x86_64_rhap_5-4.x86_64.rpm Virtual Data Toolkit

The RPMs can be updated using yum via

Service reconfiguration after update

Service must be reconfigured.

Service restart after update

Service must be restarted.

How to apply the fix

  1. Update the RPMs (see above)
  2. Update configuration (see above)
  3. Restart the service if necessary (see above)